Bug 398401 - Review Request: fdupes - Finds duplicate files in a given set of directories
Review Request: fdupes - Finds duplicate files in a given set of directories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 10:39 EST by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 15:30:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-11-25 10:39:52 EST
Spec URL: http://rishi.fedorapeople.org/fdupes.spec
SRPM URL: http://rishi.fedorapeople.org/fdupes-1.40-9.fc8.src.rpm


Description:

FDUPES is a program for identifying duplicate files residing within specified
directories.
Comment 1 Debarshi Ray 2007-11-25 10:41:00 EST
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=257644

I inherited this package and since the last update was a year ago, I would like
to pass this through a review.
Comment 2 Parag AN(पराग) 2007-11-25 20:57:53 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
11de9ab4466089b6acbb62816b30b189  fdupes-1.40.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains contents.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.


Any reason for not using latest tarball?
Comment 3 Debarshi Ray 2007-11-26 01:59:26 EST
(In reply to comment #2)

> Any reason for not using latest tarball?

Version 1.40 (http://netdial.caribe.net/~adrian2/programs/fdupes-1.40.tar.gz) is
the latest stable release. However there are some preview releases, of which
1.50-PR2
(http://netdial.caribe.net/~adrian2/programs/fdupes/beta/fdupes-1.50-PR2.tar.gz)
is the latest. I have asked upstream when he plans to release 1.50 as stable,
and am yet to get a reply. Do you want me to use the 1.50-PR2?
Comment 4 Parag AN(पराग) 2007-11-26 04:02:09 EST
Ok. Good to have stable tarball packaged then.

APPROVED.
Comment 5 Debarshi Ray 2007-11-26 10:57:57 EST
New Package CVS Request
=======================
Package Name: fdupes
Short Description: Finds duplicate files in a given set of directories
Owners: rishi
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: no
Comment 6 Kevin Fenzi 2007-11-26 12:47:13 EST
cvs looks up to date. Feel free to reset the flag if you need anything further. 

Note You need to log in before you can comment on or make changes to this bug.